Skip to content
Developer

CronTask

System and settings4 EndpointsSettings / CronTask

Returns a list of all CronTasks

GET/api/settings/cron_tasks

Query parameters

idstring
namestring
commandstring
runningboolean
doneboolean
deleteAfterDoneboolean
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of all CronTasksarray<CronTask>

Show fields (9)
  • namestring

    Name of the cron task.

  • commandstring

    Command the cron task runs.

  • resultstring

    Result of the last run.

  • interval_lengthstring

    Interval between two runs.

  • last_runstring (date-time)

    Point in time of the last run.

  • next_runstring (date-time)

    Point in time of the next run.

  • runningboolean

    Whether the task is currently running.

  • doneboolean

    Whether the task is done.

  • delete_after_doneboolean

    Whether the task is deleted after it is done.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/cron_tasks \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "name": "Beispiel",
    "command": "string",
    "result": "string",
    "interval_length": "string",
    "last_run": "2026-10-15T09:30:00+02:00",
    "next_run": "2026-10-15T09:30:00+02:00",
    "running": true,
    "done": true,
    "delete_after_done": true
  }
]

Add a new CronTask

POST/api/settings/cron_tasks

Request body application/json

  • dataCronTask
    Show fields (9)
    • namestring

      Name of the cron task.

    • commandstring

      Command the cron task runs.

    • resultstring

      Result of the last run.

    • interval_lengthstring

      Interval between two runs.

    • last_runstring (date-time)

      Point in time of the last run.

    • next_runstring (date-time)

      Point in time of the next run.

    • runningboolean

      Whether the task is currently running.

    • doneboolean

      Whether the task is done.

    • delete_after_doneboolean

      Whether the task is deleted after it is done.

Responses

200Add a new CronTaskCronTask

Show fields (9)
  • namestring

    Name of the cron task.

  • commandstring

    Command the cron task runs.

  • resultstring

    Result of the last run.

  • interval_lengthstring

    Interval between two runs.

  • last_runstring (date-time)

    Point in time of the last run.

  • next_runstring (date-time)

    Point in time of the next run.

  • runningboolean

    Whether the task is currently running.

  • doneboolean

    Whether the task is done.

  • delete_after_doneboolean

    Whether the task is deleted after it is done.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/settings/cron_tasks \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "command": "string",
    "result": "string",
    "interval_length": "string",
    "last_run": "2026-10-15T09:30:00+02:00",
    "next_run": "2026-10-15T09:30:00+02:00"
  }
}
'
Response 200 application/json
{
  "name": "Beispiel",
  "command": "string",
  "result": "string",
  "interval_length": "string",
  "last_run": "2026-10-15T09:30:00+02:00",
  "next_run": "2026-10-15T09:30:00+02:00",
  "running": true,
  "done": true,
  "delete_after_done": true
}

Returns a single CronTask entry.

GET/api/settings/cron_tasks/{identifier}

Path parameters

identifierrequiredstring

Responses

200Return single CronTaskCronTask

Show fields (9)
  • namestring

    Name of the cron task.

  • commandstring

    Command the cron task runs.

  • resultstring

    Result of the last run.

  • interval_lengthstring

    Interval between two runs.

  • last_runstring (date-time)

    Point in time of the last run.

  • next_runstring (date-time)

    Point in time of the next run.

  • runningboolean

    Whether the task is currently running.

  • doneboolean

    Whether the task is done.

  • delete_after_doneboolean

    Whether the task is deleted after it is done.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/settings/cron_tasks/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "name": "Beispiel",
  "command": "string",
  "result": "string",
  "interval_length": "string",
  "last_run": "2026-10-15T09:30:00+02:00",
  "next_run": "2026-10-15T09:30:00+02:00",
  "running": true,
  "done": true,
  "delete_after_done": true
}

Delete a CronTask

DELETE/api/settings/cron_tasks/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/settings/cron_tasks/42 \
  --header 'x-iw-jwt-token: <TOKEN>'